Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.vfs
Class MemoryStream

    java.lang.Object
      |
      +--com.caucho.vfs.StreamImpl
            |
            +--com.caucho.vfs.MemoryStream

public class MemoryStream
extends StreamImpl

Fields inherited from class com.caucho.vfs.StreamImpl
`path`

Constructor Summary
`MemoryStream()`

Method Summary
`boolean` | `canWrite()`
`void` | `destroy()`
`int` | `getLength()`
`Path` | `getPath()`
`ReadStream` | `openRead()`
`void` | `write(byte[] buf, int offset, int length)`
`void` | `writeToStream(java.io.OutputStream os)`

Methods inherited from class com.caucho.vfs.StreamImpl
`canRead, clearWrite, close, flush, getAttribute, getAttributeNames, getAvailable, getFlushOnNewline, getNewline, read, removeAttribute, setAttribute, setPath, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemoryStream

    public MemoryStream()

Method Detail

### getPath

    public Path getPath()

  Overrides:
    `getPath` in class `StreamImpl`

### canWrite

    public boolean canWrite()

  Overrides:
    `canWrite` in class `StreamImpl`

### write

    public void write(byte[] buf,
                      int offset,
                      int length)
               throws java.io.IOException

  Overrides:
    `write` in class `StreamImpl`

### writeToStream

    public void writeToStream(java.io.OutputStream os)
                       throws java.io.IOException

### getLength

    public int getLength()

### openRead

    public ReadStream openRead()
                        throws java.io.IOException

### destroy

    public void destroy()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD